// background style

@use "fun";

// background-color
// background-image background-repeat
// <box> background-color
@mixin background($value: inherit) {
  background: $value;
}

// inherit currentColor transparent
// see typography.color
@mixin background-color($value: inherit) {
  background-color: $value;
}

// none url('url') linear-gradient() radial-gradient()
// repeating-linear-gradient() conic-gradient()
// linear-gradient(direction, colors)
// gradient keywords: top bottom right left
// direction is <to gradient keywords> <turn> or <deg>
// colors is color [opacity], ...
@mixin background-image($value) {
  background-image: $value;
}

// fixed local scroll
@mixin background-attachment($value) {
  background-attachment: $value;
}

// border-box padding-box content-box text
@mixin background-clip($value) {
  @include fun.prefix-only('background-clip', $value);
}

// auto cover contain
@mixin background-size($value) {
  background-size: $value;
}

// repeat no-repeat repeat-x repeat-y
@mixin background-repeat($value) {
  background-repeat: $value;
}

// padding-box border-box content-box
@mixin background-origin($value) {
  background-origin: $value;
}

// bottom center left right top 'left top' 'left bottom' 'right top' 'right bottom'
@mixin background-position($value) {
  background-position: $value;
}

// bottom center left right top
@mixin background-position-x($value) {
  background-position-x: $value;
}

// bottom center left right top
@mixin background-position-y($value) {
  background-position-y: $value;
}
